#ifdef RCSID
static char RCSid[] =
"$Header: d:/cvsroot/tads/TADS2/msdos/OS0TD.C,v 1.1.1.1 1999/05/09 21:33:08 MJRoberts Exp $";
#endif

/* Copyright (c) 1992 by Michael J. Roberts.  All Rights Reserved. */
/*
Name
  os0td.c - os mainline for tads2 debugger
Function
  invokes debugger from operating system command line
Notes
  none
Modified
  04/04/92 MJRoberts     - creation
*/

#include "os.h"
#include "ltk.h"
#include "trd.h"

int main(argc, argv)
int   argc;
char *argv[];
{
    int err;
    char *config_name;
    
    config_name = "config.tdb";
#ifdef __DPMI16__
    ltkini(16384);
    /*config_name = "config16.tdb";*/
#else
#endif

    os_init(&argc, argv, (char *)0, (char *)0, 0);
    os_instbrk(1);
    err = os0main2(argc, argv, tddmain, "i", config_name, 0);
    os_instbrk(0);

    return err;
}

